Quassel IRC - Bug #1136

Some crashes found with ircfuzz.c
01/28/2012 02:56 PM - sandsmark

Status: Resolved Start date: 01/28/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.8.0

Version: 0.7.3 0S: Any
Description

There is a couple of crashes because of a lack of checking of the number of arguments before attempting to use them.

The attached patch fixes them.

Associated revisions

Revision d1f952e426cc27afce593f055b0d8b292984aeda - 01/29/2012 11:53 PM - sandsmark

Add checks for the right amount of parameters to random IRC events, found by ircfuzz.c.

Fixes #1136.

Revision d1f952e4 - 01/29/2012 11:53 PM - sandsmark

Add checks for the right amount of parameters to random IRC events, found by ircfuzz.c.

Fixes #1136.

History

#1 - 01/30/2012 04:09 AM - sandsmark
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset d1f952e426cc27afce593f055b0d8b292984aeda.

#2 - 01/30/2012 08:12 AM - johu

- Target version set to 0.8.0

Files

ircfuzz-fixes.patch
